sane-coolscan3(5)

NUME
sane-coolscan3 - controlor SANE pentru scanerele de film Nikon Coolscan

DESCRIERE
Biblioteca sane-coolscan3 implementează un controlor SANE (Scanner Access Now Easy) care oferă acces la scanerele de film Nikon Coolscan. Unele funcții ale acestui controlor ar trebui să fie considerate software de calitate beta. Majoritatea funcțiilor sunt stabile de mult timp, dar, desigur, o nouă dezvoltare nu poate funcționa și nu va funcționa corect din prima zi.

În prezent, se știe că următoarele scanere funcționează cu acest controlor:

    Model:                       Tip conexiune
    --------------------------   -----------------
    LS-30 (Coolscan III)         SCSI
    LS-40 ED (Coolscan IV)       USB
    LS-50 ED (Coolscan V)        USB
    LS-2000                      SCSI
    LS-4000 ED                   IEEE 1394
    LS-8000 ED                   IEEE 1394

Vă rugăm să trimiteți un e-mail la sane-devel@alioth-lists.debian.net pentru a raporta succese sau eșecuri.

OPȚIUNI
Opțiunile pe care le suportă controlorul pot fi selectate fie prin opțiuni de linie de comandă pentru programe precum scanimage(1), fie prin elemente GUI în xscanimage(1) sau xsane(1).

Opțiunile valide ale liniei de comandă și sintaxa acestora pot fi listate utilizând:

    scanimage --help -d coolscan23<interfață>:<dispozitiv>

unde <interfață> și <dispozitiv> specifică dispozitivul în cauză, ca în fișierul de configurare (a se vedea secțiunea următoare). Parametrul -d și argumentul său pot fi omise pentru a obține informații despre primul scaner identificat. Utilizați comanda:

    scanimage -L

pentru a enumera toate dispozitivele recunoscute de instalația SANE.

Opțiunile ar trebui să fie descrise pe deplin prin descrierea sau prin informațiile emergente oferite de interfață. Iată o descriere a unora dintre cele mai importante opțiuni, în sintaxa cu care acestea trebuie furnizate către scanimage(1):

--frame <n>
    Această opțiune specifică pe ce cadru se va opera, dacă se utilizează un alimentator de bandă de film motorizat sau un adaptor APS. Numărul de cadre <n> variază de la 1 la numărul de cadre disponibile, care este detectat de fiecare dată când controlorul este inițializat (de obicei, de fiecare dată când porniți interfața).

--subframe <x>
    Această opțiune deplasează fereastra de scanare cu valoarea specificată (unitatea implicită este mm).

--infrared=yes/no
    Dacă este stabilită la „yes” (da), scanerul va citi canalul infraroșu, permițând astfel eliminarea defectelor prin software. Imaginea în infraroșu este citită în timpul unei a doua scanări, fără ca opțiunile să fie modificate. Controlorul nu trebuie să fie repornit între scanări. Dacă utilizați scanimage(1), efectuați o scanare pe loturi cu --batch-count=2 pentru a obține informațiile IR.

--depth <n>
    Aici <n> poate fi 8 sau numărul maxim de biți acceptat de scaner (10, 12 sau 14). Specifică dacă scanerul reduce sau nu datele scanate la 8 biți înainte de a le trimite la controlor. Dacă se utilizează 8 biți, se pierd unele informații și, prin urmare, calitatea imaginii, dar cantitatea de date este mai mică în comparație cu adâncimi mai mari. De asemenea, multe programe de imagine și formate de imagine nu pot gestiona adâncimi mai mari de 8 biți.

--autofocus
    Efectuează operația de autofocalizare. Dacă nu se specifică altfel prin celelalte opțiuni ( --focus-on-centre și prietenii), focalizarea se efectuează pe centrul zonei de scanare selectate.

--ae-wb

--ae
    Efectuează o pre-scanare pentru a calcula automat valorile de expunere. --ae-wb va menține balansul de alb, în timp ce --ae va regla fiecare canal separat.

--exposure
    Multiplică toți timpii de expunere cu această valoare. Acest lucru permite corectarea expunerii fără a modifica balansul de alb.

--load
    Încarcă următorul diapozitiv atunci când se utilizează încărcătorul de diapozitive (se aplică numai la alimentatorul de masă SF-200).

--eject
    Ejectează banda de film sau diapozitivul montat atunci când folosiți încărcătorul de diapozitive.

--reset
    Repornește scanerul. Scanerul va efectua aceeași acțiune ca la pornirea aparatului: va ejecta diapozitivul (cu alimentatorul de masă SF-200) și se va calibra singur. Utilizați această opțiune ori de câte ori scanerul refuză să încarce corect un diapozitiv, ca urmare a faptului că --eject nu funcționează.

FIȘIER DE CONFIGURARE
Fișierul de configurare /etc/sane.d/coolscan3.conf specifică dispozitivele pe care le va folosi controlorul. Datorită naturii tipurilor de conexiuni acceptate SCSI, USB și IEEE 1394, fișierul de configurare implicit furnizat cu distribuția SANE ar trebui să funcționeze fără a fi modificat.

Fiecare linie din fișierul de configurare este una dintre următoarele, unde toate intrările sunt sensibile la majuscule și minuscule:

gol sau începe cu caracterul „#”
    Aceste linii sunt ignorate, astfel încât „#” poate fi folosit pentru a include comentarii.

conținând doar cuvântul „auto”
    Acest lucru instruiește controlorul să caute un scaner prin scanarea magistralelor pentru dispozitive cu identificatori cunoscuți. Aceasta este acțiunea implicită atunci când nu există niciun fișier de configurare.

o linie de forma <interfață>:<dispozitiv>
    Aici <interfață> poate fi una dintre „scsi” sau „usb”, iar <dispozitiv> este fișierul de dispozitiv al scanerului. Rețineți că dispozitivele IEEE 1394 sunt gestionate de modulul SBP-2 din nucleu și apar în SANE ca dispozitive SCSI.

FIȘIERE

/usr/lib/x86_64-linux-gnu/sane/libsane-coolscan3.a
    Biblioteca statică care implementează acest controlor.

/usr/lib/x86_64-linux-gnu/sane/libsane-coolscan3.so
    Biblioteca partajată care implementează acest controlor (prezentă pe sistemele care acceptă încărcare dinamică).

/etc/sane.d/coolscan3.conf
    Fișierul de configurare pentru acest controlor, citit de fiecare dată când controlorul este inițializat.

MEDIU

SANE_DEBUG_COOLSCAN3
    Dacă biblioteca a fost compilată cu suportul de depanare activat, această variabilă de mediu controlează nivelul de depanare pentru acest controlor. De exemplu, o valoare de 128 solicită imprimarea tuturor datelor de depanare. Nivelurile mai mici reduc volumul de informații.

CONSULTAȚI ȘI
sane-scsi(5), sane-usb(5), scanimage(1), xscanimage(1), xsane(1)

ERORI
În prezent, protocolul SANE nu permite actualizarea automată a opțiunilor ori de câte ori se schimbă hardware-ul. Astfel, numărul de opțiuni pentru opțiunea --frame va fi fixat atunci când controlorul este inițializat (de obicei, atunci când utilizatorul rulează interfața). În special, dacă nu există nicio bandă de film în alimentatorul automat de benzi de film atunci când controlorul este inițializat, opțiunea --frame nu va apărea deloc. De asemenea, se recomandă cu insistență repornirea interfeței după schimbarea adaptoarelor de film.

Nucleele Linux anterioare versiunii 2.4.19 aveau un plasture (corecție) care trunchia datele INQUIRY de la scanerele IEEE 1394 la 36 de octeți, eliminând informații vitale despre scaner. Prin urmare, modelele IEEE 1394 funcționează numai cu 2.4.19 sau o versiune ulterioară.

Nu sunt cunoscute în prezent erori reale, vă rugăm să raportați orice erori pe lista dezvoltatorilor SANE.

AUTORI
coolscan3 a fost scris de A. Zummo <a.zummo@towertech.it>, bazat în mare măsură pe coolscan2 scris de András Major <andras@users.sourceforge.net>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.